var ejs = require('ejs');

module.exports = function(callback) {
  return function(req, res, next) {
    if (req.headers['user-agent'].indexOf('facebookexternalhit') === -1)
      return next();
    var lang = req.param('fb_locale');
    callback(req, lang, function(graph) {
      if (!graph) return next();
      ejs.renderFile(__dirname + '/template/graph.html', {cache: true, graph: graph}, function(err, str) {
        res.end(str);
      });
    });
  };
};